/*
# Copyright 2006, Revolution Linux Inc.
#
# $Id$
#
# Authors : Francis Giraldeau <francis.giraldeau@revolutionlinux.com>
#
# This file is part of the MILLE-XTERM project.
#
#               http://www.revolutionlinux.com/mille-xterm/
#               http://www.mille.ca/
#
# This program is covered by the GNU General Public License.
# See the COPYING file in the top-level MILLE-XTERM directory.
#
# -------------------------------------------------------------------------
*/

#include "mxsoundapplet.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("Mille-xterm sound control applet");

static const char version[] = "1.2";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("mxsoundapplet", I18N_NOOP("mxsoundapplet"), version, description,
		     KAboutData::License_GPL, "(C) 2006 Francis Giraldeau", 0, 0, "francis.giraldeau@revolutionlinux.com");
    about.addAuthor( "Francis Giraldeau", 0, "francis.giraldeau@revolutionlinux.com" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    mxsoundapplet *mainWin = 0;

    mainWin = new mxsoundapplet(&about);
    app.setMainWidget( mainWin );
    mainWin->show();


    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

