/*
# Copyright 2006, Revolution Linux Inc.
#
# $Id$
#
# Authors : Francis Giraldeau <francis.giraldeau@revolutionlinux.com>
#
# This file is part of the MILLE-XTERM project.
#
#               http://www.revolutionlinux.com/mille-xterm/
#               http://www.mille.ca/
#
# This program is covered by the GNU General Public License.
# See the COPYING file in the top-level MILLE-XTERM directory.
#
# -------------------------------------------------------------------------
*/

#ifndef _MXSOUNDAPPLET_H_
#define _MXSOUNDAPPLET_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <ksystemtray.h>

/**
 * @short Application Main Window
 * @author Francis Giraldeau <francis.giraldeau@revolutionlinux.com>
 * @version 0.1
 */
class mxsoundapplet : public KSystemTray
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    mxsoundapplet( KAboutData *);

    /**
     * Default Destructor
     */
    virtual ~mxsoundapplet();

    /**
     * Launch the mixer UI
     */
    void launchMixer();

    /**
     * Reimplements the mousePressEvent
     */
    void mousePressEvent( QMouseEvent * );

    public slots:
    
    void popupHelp();
    void popupAbout();

    private:
    KAboutData *m_about_data;
};

#endif // _MXSOUNDAPPLET_H_
